https://github.com/tox-dev/pipdeptree/pull/302

From 1fc794e66fc5cac464704dda1bc303353386584f Mon Sep 17 00:00:00 2001
From: Alfred Wingate <parona@protonmail.com>
Date: Tue, 14 Nov 2023 08:36:09 +0200
Subject: [PATCH] Expect hpy in pypy versions >= 7.3.3

Signed-off-by: Alfred Wingate <parona@protonmail.com>
--- a/tests/test_non_host.py
+++ b/tests/test_non_host.py
@@ -32,8 +32,12 @@ def test_custom_interpreter(
     implementation = python_implementation()
     if implementation == "CPython":
         expected = {"pip", "setuptools", "wheel"}
-    elif implementation == "PyPy":
-        expected = {"cffi", "greenlet", "pip", "readline", "setuptools", "wheel"}  # pragma: no cover
+    elif implementation == "PyPy":  # pragma: no cover
+        # hpy added in 7.3.2, enabled in 7.3.3
+        if sys.pypy_version_info >= (7, 3, 3):  # type: ignore[attr-defined]
+            expected = {"cffi", "greenlet", "hpy", "pip", "readline", "setuptools", "wheel"}
+        else:
+            expected = {"cffi", "greenlet", "pip", "readline", "setuptools", "wheel"}
     else:
         raise ValueError(implementation)
     if sys.version_info >= (3, 12):
-- 
2.44.0

